Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Static Public Member Functions | Static Public Attributes
proofs::Fp128Reduce Struct Reference

## Static Public Member Functions
static void | reduction_step (uint64_t a[], uint64_t mprime, const Nat< 2 > &m)
static void | reduction_step (uint32_t a[], uint32_t mprime, const Nat< 2 > &m)

## Static Public Attributes
static const constexpr std::array< uint64_t, 2 > | kModulus

## Field Documentation

## ◆ kModulus

const constexpr std::array<uint64_t, 2> proofs::Fp128Reduce::kModulus
| static constexpr

Initial value:
= {
0x0000000000000001u,
0xFFFFF00000000000u,
}

The documentation for this struct was generated from the following file:

- lib/algebra/fp_p128.h